User Tools

Site Tools


force_make_to_use_gcc44

FreeBSD make.conf

How to force to use latest gcc4x

It is usually require to done while building ffmpeg on freebsd.
Some script require it will be build using gcc44 so it does not complaint.
add following lines to start using gcc44.
replace number 44 with desired version. should do it.

| /etc/make.conf
.if !empty(.CURDIR:M/usr/ports/*) && exists(/usr/local/bin/gcc44)
CC=gcc44
CXX=g++44
CPP=cpp44
.endif
force_make_to_use_gcc44.txt · Last modified: 2011/04/16 02:00 by k2patel